Subject: Re: [PATCH] gitweb: use action dispatcher for non-project actions, too.

From: Jakub Narebski <[email-masked]>
Date: Fri, 18 Aug 2006 16:22:01 +0200

Carl Worth wrote:

> * A mechanism for not requiring me to invent tracking-branch names.  I
>   end up manually doing a scheme with short prefixes for any given
>   repository. It would be nice if I could configure that (in
>   .git/remotes/<something> say) once so that any new branch I pulled
>   would get its properly named tracking branch. And git could find the
>   right remotes file by matching up the URL.

This mechanism is called 'git clone --use-separate-remote'.

  --use-separate-remote
     Save remotes  heads under $GIT_DIR/remotes/origin/ instead  of
     $GIT_DIR/refs/heads/. Only the master branch is saved in the latter.
     (as origin).

(Shouldn't it be $GIT_DIT/refs/remotes/<repository>/ instead, BTW?)
And of course you can configure pull lines in the following way:

  Pull: refs/heads/<branch>:refs/remotes/<repository>/<branch>

Unfortunately, there is no way to automatically pull new refs and tags
in such a way.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git